> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bluvo.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Withdraw

> Execute a withdrawal using a quote ID.

**Required API Key Scopes:** `read`, `quote`, `withdrawal`



## OpenAPI

````yaml https://api-bluvo.com/api/v0/openapi put /v0/wallet/withdraw/{quoteId}/execute
openapi: 3.1.0
info:
  title: Bluvo API (v0)
  description: APIs to supercharge your crypto project.
  version: 0.0.3
  termsOfService: https://bluvo.co/terms
  contact:
    name: Bluvo
    email: help@bluvo.co
    url: https://bluvo.co
servers:
  - url: https://api-bluvo.com
    description: Production Server
  - url: https://test.api-bluvo.com
    description: Development Server
security: []
paths:
  /v0/wallet/withdraw/{quoteId}/execute:
    put:
      tags:
        - Withdrawals
      summary: Withdraw
      description: |-
        Execute a withdrawal using a quote ID.

        **Required API Key Scopes:** `read`, `quote`, `withdrawal`
      operationId: walletwithdrawquoteidexecutewithdraw
      parameters:
        - name: autoDeleteIfInvalid
          in: query
          required: false
          description: >-
            Automatically delete the wallet if API credentials are found to be
            invalid during balance fetch. Defaults to true.
          schema:
            type: boolean
        - schema:
            type: string
          in: path
          name: quoteId
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                twofa:
                  type:
                    - string
                    - 'null'
                emailCode:
                  type:
                    - string
                    - 'null'
                smsCode:
                  type:
                    - string
                    - 'null'
                bizNo:
                  type:
                    - string
                    - 'null'
                tag:
                  type:
                    - string
                    - 'null'
                params:
                  type:
                    - object
                    - 'null'
                  properties:
                    dryRun:
                      type: boolean
                  additionalProperties: true
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  error:
                    type: string
                  type:
                    type: string
                    enum:
                      - GENERIC_NOT_FOUND
                      - GENERIC_UNAUTHORIZED
                      - GENERIC_INTERNAL_SERVER_ERROR
                      - GENERIC_VALIDATION_ERROR
                      - GENERIC_INVALID_REQUEST
                      - GENERIC_RATE_LIMIT_EXCEEDED
                      - APIKEY_INSUFFICIENT_PERMISSIONS
                      - WALLET_NOT_FOUND
                      - WALLET_INVALID_CREDENTIALS
                      - WALLET_IDENTITY_NOT_FOUND
                      - QUOTE_NOT_FOUND
                      - QUOTE_EXPIRED
                      - WITHDRAWAL_INSUFFICIENT_BALANCE
                      - WITHDRAWAL_INSUFFICIENT_BALANCE_FOR_FEE
                      - WITHDRAWAL_INVALID_ADDRESS
                      - WITHDRAWAL_NETWORK_NOT_SUPPORTED
                      - WITHDRAWAL_TOO_MANY_ADDRESSES
                      - WITHDRAWAL_FUNDING_ADDRESS_CONFLICT
                      - WITHDRAWAL_AMOUNT_BELOW_MINIMUM
                      - WITHDRAWAL_AMOUNT_ABOVE_MAXIMUM
                      - WITHDRAWAL_ASSET_NOT_SUPPORTED
                      - WITHDRAWAL_PROVIDER_ERROR
                      - WITHDRAWAL_2FA_REQUIRED_TOTP
                      - WITHDRAWAL_2FA_REQUIRED_SMS
                      - WITHDRAWAL_2FA_REQUIRED_FACE_RECOGNITION
                      - WITHDRAWAL_2FA_REQUIRED_EMAIL
                      - WITHDRAWAL_2FA_REQUIRED_YUBIKEY
                      - WITHDRAWAL_2FA_REQUIRED_PASSPHRASE
                      - WITHDRAWAL_2FA_REQUIRED_MULTI_STEPS
                      - WITHDRAWAL_2FA_INCOMPLETE
                      - WITHDRAWAL_2FA_INVALID
                      - WITHDRAWAL_2FA_METHOD_NOT_SUPPORTED
                      - WITHDRAWAL_KYC_REQUIRED
                      - WITHDRAWAL_EMAIL_UNVERIFIED
                      - WITHDRAWAL_RATE_LIMIT_EXCEEDED
                      - OAUTH_AUTHORIZATION_FAILED
                      - OAUTH_TOKEN_EXCHANGE_FAILED
                      - OAUTH_INVALID_STATE
                      - OAUTH_INSUFFICIENT_SCOPE
                      - OAUTH_QR_CODE_UNAVAILABLE
                      - OAUTH_COUNTRY_NOT_DETECTED
                      - OAUTH_COUNTRY_NOT_SUPPORTED
                      - OAUTH_COUNTRY_CODE_INVALID
                      - WEBHOOK_SIGNATURE_INVALID
                      - WEBHOOK_MISSING_HEADERS
                      - WEBHOOK_INVALID_TIMESTAMP
                      - CACHE_MISS
                      - CACHE_EXPIRED
                      - CACHE_INVALID_PATH
                      - DEPOSIT_NOT_IMPLEMENTED
                      - DEPOSIT_ASSET_REQUIRED
                      - DEPOSIT_NETWORK_REQUIRED
                      - DEPOSIT_METHODS_UNAVAILABLE
                      - DEPOSIT_ADDRESS_UNAVAILABLE
                      - DEPOSIT_EXCHANGE_NOT_SUPPORTED
                      - DEPOSIT_METHOD_NOT_RESOLVED
                      - WITHDRAWAL_DRY_RUN_COMPLETE
                      - TRADING_DATA_UNAVAILABLE
                      - TRADING_EXCHANGE_NOT_SUPPORTED
                      - TRADING_ROUTE_NOT_FOUND
                      - TRADING_ROUTE_UNAVAILABLE
                      - TRADING_ORDER_TYPE_NOT_SUPPORTED
                      - TRADING_ORDER_NOT_FOUND
                      - TRADING_PROVIDER_ERROR
                      - INFO_ASSET_REQUIRED
                      - INFO_FEE_EXCHANGE_NOT_SUPPORTED
                      - ENRICHMENT_NETWORK_NOT_SUPPORTED
                      - ENRICHMENT_TIMEOUT
                      - ENRICHMENT_API_ERROR
                  result:
                    anyOf:
                      - type: object
                        properties:
                          id:
                            type: string
                          transactionId:
                            type: string
                        required:
                          - id
                          - transactionId
                        additionalProperties: true
                      - type: object
                        properties:
                          bizNo:
                            type: string
                          steps:
                            type: array
                            items:
                              type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - GOOGLE
                                    - EMAIL
                                    - FACE
                                    - SMS
                                    - ROAMING_FIDO
                                status:
                                  type: string
                                  enum:
                                    - pending
                                    - success
                                    - failed
                                required:
                                  type: boolean
                                metadata:
                                  type: object
                                  properties:
                                    email:
                                      type: string
                                    emailSent:
                                      type: boolean
                                    qrCodeUrl:
                                      type: string
                                    qrCodeValidSeconds:
                                      type: number
                                    roamingFlowId:
                                      type: string
                                  additionalProperties: true
                              required:
                                - type
                                - status
                                - required
                              additionalProperties: true
                          relation:
                            type: string
                            enum:
                              - AND
                              - OR
                          mfa:
                            type: object
                            properties:
                              bizNo:
                                type: string
                              verified:
                                type: object
                                properties:
                                  EMAIL:
                                    type: boolean
                                  SMS:
                                    type: boolean
                                  GOOGLE:
                                    type: boolean
                                  FACE:
                                    type: boolean
                                  ROAMING_FIDO:
                                    type: boolean
                              attempts:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    method:
                                      type: string
                                      enum:
                                        - EMAIL
                                        - SMS
                                        - GOOGLE
                                        - FACE
                                        - ROAMING_FIDO
                                    status:
                                      type: string
                                      enum:
                                        - pending
                                        - success
                                        - failed
                                    createdAt:
                                      type: number
                                    validatedAt:
                                      type: number
                                    expiresAt:
                                      type: number
                                    success:
                                      type: boolean
                                  required:
                                    - method
                                    - status
                                    - createdAt
                                    - success
                              methods:
                                type: array
                                items:
                                  oneOf:
                                    - type: object
                                      properties:
                                        method:
                                          type: string
                                          const: EMAIL
                                        email:
                                          type: string
                                      required:
                                        - method
                                        - email
                                    - type: object
                                      properties:
                                        method:
                                          type: string
                                          const: SMS
                                        phoneNumber:
                                          type: string
                                      required:
                                        - method
                                        - phoneNumber
                                    - type: object
                                      properties:
                                        method:
                                          type: string
                                          const: GOOGLE
                                      required:
                                        - method
                                    - type: object
                                      properties:
                                        method:
                                          type: string
                                          const: FACE
                                        viaMobile:
                                          type: boolean
                                      required:
                                        - method
                                        - viaMobile
                                    - type: object
                                      properties:
                                        method:
                                          type: string
                                          const: ROAMING_FIDO
                                      required:
                                        - method
                            required:
                              - verified
                        required:
                          - bizNo
                          - steps
                          - relation
                        additionalProperties: true
                      - type: object
                        properties:
                          bizNo:
                            type: string
                          steps:
                            type: array
                            items:
                              type: object
                              properties:
                                type:
                                  type: string
                                status:
                                  type: string
                                  enum:
                                    - success
                                    - failed
                                    - pending
                                error:
                                  type: string
                              required:
                                - type
                                - status
                              additionalProperties: true
                          mfa:
                            type: object
                            properties:
                              bizNo:
                                type: string
                              verified:
                                type: object
                                properties:
                                  EMAIL:
                                    type: boolean
                                  SMS:
                                    type: boolean
                                  GOOGLE:
                                    type: boolean
                                  FACE:
                                    type: boolean
                                  ROAMING_FIDO:
                                    type: boolean
                              attempts:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    method:
                                      type: string
                                      enum:
                                        - EMAIL
                                        - SMS
                                        - GOOGLE
                                        - FACE
                                        - ROAMING_FIDO
                                    status:
                                      type: string
                                      enum:
                                        - pending
                                        - success
                                        - failed
                                    createdAt:
                                      type: number
                                    validatedAt:
                                      type: number
                                    expiresAt:
                                      type: number
                                    success:
                                      type: boolean
                                  required:
                                    - method
                                    - status
                                    - createdAt
                                    - success
                              methods:
                                type: array
                                items:
                                  oneOf:
                                    - type: object
                                      properties:
                                        method:
                                          type: string
                                          const: EMAIL
                                        email:
                                          type: string
                                      required:
                                        - method
                                        - email
                                    - type: object
                                      properties:
                                        method:
                                          type: string
                                          const: SMS
                                        phoneNumber:
                                          type: string
                                      required:
                                        - method
                                        - phoneNumber
                                    - type: object
                                      properties:
                                        method:
                                          type: string
                                          const: GOOGLE
                                      required:
                                        - method
                                    - type: object
                                      properties:
                                        method:
                                          type: string
                                          const: FACE
                                        viaMobile:
                                          type: boolean
                                      required:
                                        - method
                                        - viaMobile
                                    - type: object
                                      properties:
                                        method:
                                          type: string
                                          const: ROAMING_FIDO
                                      required:
                                        - method
                            required:
                              - verified
                        additionalProperties: true
                      - type: object
                        properties:
                          valid2FAMethods:
                            type: array
                            items:
                              type: string
                        required:
                          - valid2FAMethods
                        additionalProperties: true
                      - type: object
                        additionalProperties: {}
                required:
                  - success
              example:
                success: true
                result:
                  id: 7810f95c-6612-4570-a882-d8283a9b8f4f
                  transactionId: WD-12345-ABCDEF
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  type:
                    type: string
                    enum:
                      - GENERIC_NOT_FOUND
                      - GENERIC_UNAUTHORIZED
                      - GENERIC_INTERNAL_SERVER_ERROR
                      - GENERIC_VALIDATION_ERROR
                      - GENERIC_INVALID_REQUEST
                      - GENERIC_RATE_LIMIT_EXCEEDED
                      - APIKEY_INSUFFICIENT_PERMISSIONS
                      - WALLET_NOT_FOUND
                      - WALLET_INVALID_CREDENTIALS
                      - WALLET_IDENTITY_NOT_FOUND
                      - QUOTE_NOT_FOUND
                      - QUOTE_EXPIRED
                      - WITHDRAWAL_INSUFFICIENT_BALANCE
                      - WITHDRAWAL_INSUFFICIENT_BALANCE_FOR_FEE
                      - WITHDRAWAL_INVALID_ADDRESS
                      - WITHDRAWAL_NETWORK_NOT_SUPPORTED
                      - WITHDRAWAL_TOO_MANY_ADDRESSES
                      - WITHDRAWAL_FUNDING_ADDRESS_CONFLICT
                      - WITHDRAWAL_AMOUNT_BELOW_MINIMUM
                      - WITHDRAWAL_AMOUNT_ABOVE_MAXIMUM
                      - WITHDRAWAL_ASSET_NOT_SUPPORTED
                      - WITHDRAWAL_PROVIDER_ERROR
                      - WITHDRAWAL_2FA_REQUIRED_TOTP
                      - WITHDRAWAL_2FA_REQUIRED_SMS
                      - WITHDRAWAL_2FA_REQUIRED_FACE_RECOGNITION
                      - WITHDRAWAL_2FA_REQUIRED_EMAIL
                      - WITHDRAWAL_2FA_REQUIRED_YUBIKEY
                      - WITHDRAWAL_2FA_REQUIRED_PASSPHRASE
                      - WITHDRAWAL_2FA_REQUIRED_MULTI_STEPS
                      - WITHDRAWAL_2FA_INCOMPLETE
                      - WITHDRAWAL_2FA_INVALID
                      - WITHDRAWAL_2FA_METHOD_NOT_SUPPORTED
                      - WITHDRAWAL_KYC_REQUIRED
                      - WITHDRAWAL_EMAIL_UNVERIFIED
                      - WITHDRAWAL_RATE_LIMIT_EXCEEDED
                      - OAUTH_AUTHORIZATION_FAILED
                      - OAUTH_TOKEN_EXCHANGE_FAILED
                      - OAUTH_INVALID_STATE
                      - OAUTH_INSUFFICIENT_SCOPE
                      - OAUTH_QR_CODE_UNAVAILABLE
                      - OAUTH_COUNTRY_NOT_DETECTED
                      - OAUTH_COUNTRY_NOT_SUPPORTED
                      - OAUTH_COUNTRY_CODE_INVALID
                      - WEBHOOK_SIGNATURE_INVALID
                      - WEBHOOK_MISSING_HEADERS
                      - WEBHOOK_INVALID_TIMESTAMP
                      - CACHE_MISS
                      - CACHE_EXPIRED
                      - CACHE_INVALID_PATH
                      - DEPOSIT_NOT_IMPLEMENTED
                      - DEPOSIT_ASSET_REQUIRED
                      - DEPOSIT_NETWORK_REQUIRED
                      - DEPOSIT_METHODS_UNAVAILABLE
                      - DEPOSIT_ADDRESS_UNAVAILABLE
                      - DEPOSIT_EXCHANGE_NOT_SUPPORTED
                      - DEPOSIT_METHOD_NOT_RESOLVED
                      - WITHDRAWAL_DRY_RUN_COMPLETE
                      - TRADING_DATA_UNAVAILABLE
                      - TRADING_EXCHANGE_NOT_SUPPORTED
                      - TRADING_ROUTE_NOT_FOUND
                      - TRADING_ROUTE_UNAVAILABLE
                      - TRADING_ORDER_TYPE_NOT_SUPPORTED
                      - TRADING_ORDER_NOT_FOUND
                      - TRADING_PROVIDER_ERROR
                      - INFO_ASSET_REQUIRED
                      - INFO_FEE_EXCHANGE_NOT_SUPPORTED
                      - ENRICHMENT_NETWORK_NOT_SUPPORTED
                      - ENRICHMENT_TIMEOUT
                      - ENRICHMENT_API_ERROR
                  result:
                    anyOf:
                      - type: object
                        properties:
                          bizNo:
                            type: string
                          steps:
                            type: array
                            items:
                              type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - GOOGLE
                                    - EMAIL
                                    - FACE
                                    - SMS
                                    - ROAMING_FIDO
                                status:
                                  type: string
                                  enum:
                                    - pending
                                    - success
                                    - failed
                                required:
                                  type: boolean
                                metadata:
                                  type: object
                                  properties:
                                    email:
                                      type: string
                                    emailSent:
                                      type: boolean
                                    qrCodeUrl:
                                      type: string
                                    qrCodeValidSeconds:
                                      type: number
                                    roamingFlowId:
                                      type: string
                                  additionalProperties: true
                              required:
                                - type
                                - status
                                - required
                              additionalProperties: true
                          relation:
                            type: string
                            enum:
                              - AND
                              - OR
                          mfa:
                            type: object
                            properties:
                              bizNo:
                                type: string
                              verified:
                                type: object
                                properties:
                                  EMAIL:
                                    type: boolean
                                  SMS:
                                    type: boolean
                                  GOOGLE:
                                    type: boolean
                                  FACE:
                                    type: boolean
                                  ROAMING_FIDO:
                                    type: boolean
                              attempts:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    method:
                                      type: string
                                      enum:
                                        - EMAIL
                                        - SMS
                                        - GOOGLE
                                        - FACE
                                        - ROAMING_FIDO
                                    status:
                                      type: string
                                      enum:
                                        - pending
                                        - success
                                        - failed
                                    createdAt:
                                      type: number
                                    validatedAt:
                                      type: number
                                    expiresAt:
                                      type: number
                                    success:
                                      type: boolean
                                  required:
                                    - method
                                    - status
                                    - createdAt
                                    - success
                              methods:
                                type: array
                                items:
                                  oneOf:
                                    - type: object
                                      properties:
                                        method:
                                          type: string
                                          const: EMAIL
                                        email:
                                          type: string
                                      required:
                                        - method
                                        - email
                                    - type: object
                                      properties:
                                        method:
                                          type: string
                                          const: SMS
                                        phoneNumber:
                                          type: string
                                      required:
                                        - method
                                        - phoneNumber
                                    - type: object
                                      properties:
                                        method:
                                          type: string
                                          const: GOOGLE
                                      required:
                                        - method
                                    - type: object
                                      properties:
                                        method:
                                          type: string
                                          const: FACE
                                        viaMobile:
                                          type: boolean
                                      required:
                                        - method
                                        - viaMobile
                                    - type: object
                                      properties:
                                        method:
                                          type: string
                                          const: ROAMING_FIDO
                                      required:
                                        - method
                            required:
                              - verified
                        required:
                          - bizNo
                          - steps
                          - relation
                        additionalProperties: true
                      - type: object
                        properties:
                          bizNo:
                            type: string
                          steps:
                            type: array
                            items:
                              type: object
                              properties:
                                type:
                                  type: string
                                status:
                                  type: string
                                  enum:
                                    - success
                                    - failed
                                    - pending
                                error:
                                  type: string
                              required:
                                - type
                                - status
                              additionalProperties: true
                          mfa:
                            type: object
                            properties:
                              bizNo:
                                type: string
                              verified:
                                type: object
                                properties:
                                  EMAIL:
                                    type: boolean
                                  SMS:
                                    type: boolean
                                  GOOGLE:
                                    type: boolean
                                  FACE:
                                    type: boolean
                                  ROAMING_FIDO:
                                    type: boolean
                              attempts:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    method:
                                      type: string
                                      enum:
                                        - EMAIL
                                        - SMS
                                        - GOOGLE
                                        - FACE
                                        - ROAMING_FIDO
                                    status:
                                      type: string
                                      enum:
                                        - pending
                                        - success
                                        - failed
                                    createdAt:
                                      type: number
                                    validatedAt:
                                      type: number
                                    expiresAt:
                                      type: number
                                    success:
                                      type: boolean
                                  required:
                                    - method
                                    - status
                                    - createdAt
                                    - success
                              methods:
                                type: array
                                items:
                                  oneOf:
                                    - type: object
                                      properties:
                                        method:
                                          type: string
                                          const: EMAIL
                                        email:
                                          type: string
                                      required:
                                        - method
                                        - email
                                    - type: object
                                      properties:
                                        method:
                                          type: string
                                          const: SMS
                                        phoneNumber:
                                          type: string
                                      required:
                                        - method
                                        - phoneNumber
                                    - type: object
                                      properties:
                                        method:
                                          type: string
                                          const: GOOGLE
                                      required:
                                        - method
                                    - type: object
                                      properties:
                                        method:
                                          type: string
                                          const: FACE
                                        viaMobile:
                                          type: boolean
                                      required:
                                        - method
                                        - viaMobile
                                    - type: object
                                      properties:
                                        method:
                                          type: string
                                          const: ROAMING_FIDO
                                      required:
                                        - method
                            required:
                              - verified
                        additionalProperties: true
                      - type: object
                        properties:
                          valid2FAMethods:
                            type: array
                            items:
                              type: string
                        required:
                          - valid2FAMethods
                        additionalProperties: true
                      - type: object
                        properties:
                          bizNo:
                            type: string
                          steps:
                            type: array
                            items:
                              type: object
                              properties:
                                type:
                                  type: string
                                status:
                                  type: string
                                  const: success
                              required:
                                - type
                                - status
                          accountId:
                            type: string
                          dryRun:
                            type: boolean
                            const: true
                          readyToTransact:
                            type: boolean
                            const: true
                          mfa:
                            type: object
                            properties:
                              bizNo:
                                type: string
                              verified:
                                type: object
                                properties:
                                  EMAIL:
                                    type: boolean
                                  SMS:
                                    type: boolean
                                  GOOGLE:
                                    type: boolean
                                  FACE:
                                    type: boolean
                                  ROAMING_FIDO:
                                    type: boolean
                              attempts:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    method:
                                      type: string
                                      enum:
                                        - EMAIL
                                        - SMS
                                        - GOOGLE
                                        - FACE
                                        - ROAMING_FIDO
                                    status:
                                      type: string
                                      enum:
                                        - pending
                                        - success
                                        - failed
                                    createdAt:
                                      type: number
                                    validatedAt:
                                      type: number
                                    expiresAt:
                                      type: number
                                    success:
                                      type: boolean
                                  required:
                                    - method
                                    - status
                                    - createdAt
                                    - success
                              methods:
                                type: array
                                items:
                                  oneOf:
                                    - type: object
                                      properties:
                                        method:
                                          type: string
                                          const: EMAIL
                                        email:
                                          type: string
                                      required:
                                        - method
                                        - email
                                    - type: object
                                      properties:
                                        method:
                                          type: string
                                          const: SMS
                                        phoneNumber:
                                          type: string
                                      required:
                                        - method
                                        - phoneNumber
                                    - type: object
                                      properties:
                                        method:
                                          type: string
                                          const: GOOGLE
                                      required:
                                        - method
                                    - type: object
                                      properties:
                                        method:
                                          type: string
                                          const: FACE
                                        viaMobile:
                                          type: boolean
                                      required:
                                        - method
                                        - viaMobile
                                    - type: object
                                      properties:
                                        method:
                                          type: string
                                          const: ROAMING_FIDO
                                      required:
                                        - method
                            required:
                              - verified
                        required:
                          - dryRun
                          - readyToTransact
                        additionalProperties: true
                      - type: object
                        additionalProperties: {}
                required:
                  - error
                  - type
              example:
                error: Multiple verification steps required
                type: WITHDRAWAL_2FA_REQUIRED_MULTI_STEPS
                result:
                  bizNo: BIZ-123456
                  steps:
                    - type: GOOGLE
                      status: failure
                      required: true
                    - type: EMAIL
                      status: pending
                      required: true
                      metadata:
                        email: u***@example.com
                        emailSent: true
                  relation: AND
                  mfa:
                    bizNo: BIZ-123456
                    verified:
                      EMAIL: false
                      FACE: true
                    attempts:
                      - method: GOOGLE
                        status: pending
                        createdAt: 1709836800000
                        success: false
                      - method: EMAIL
                        status: pending
                        createdAt: 1709836800000
                        success: false
        '403':
          description: Forbidden - Insufficient API key permissions
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  type:
                    type: string
                    const: APIKEY_INSUFFICIENT_PERMISSIONS
                  missing:
                    type: array
                    items:
                      type: string
                required:
                  - error
                  - type
                  - missing
              example:
                error: Insufficient permissions
                type: APIKEY_INSUFFICIENT_PERMISSIONS
                missing:
                  - read
                  - quote
                  - withdrawal
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  type:
                    type: string
                    enum:
                      - GENERIC_NOT_FOUND
                      - GENERIC_UNAUTHORIZED
                      - GENERIC_INTERNAL_SERVER_ERROR
                      - GENERIC_VALIDATION_ERROR
                      - GENERIC_INVALID_REQUEST
                      - GENERIC_RATE_LIMIT_EXCEEDED
                      - APIKEY_INSUFFICIENT_PERMISSIONS
                      - WALLET_NOT_FOUND
                      - WALLET_INVALID_CREDENTIALS
                      - WALLET_IDENTITY_NOT_FOUND
                      - QUOTE_NOT_FOUND
                      - QUOTE_EXPIRED
                      - WITHDRAWAL_INSUFFICIENT_BALANCE
                      - WITHDRAWAL_INSUFFICIENT_BALANCE_FOR_FEE
                      - WITHDRAWAL_INVALID_ADDRESS
                      - WITHDRAWAL_NETWORK_NOT_SUPPORTED
                      - WITHDRAWAL_TOO_MANY_ADDRESSES
                      - WITHDRAWAL_FUNDING_ADDRESS_CONFLICT
                      - WITHDRAWAL_AMOUNT_BELOW_MINIMUM
                      - WITHDRAWAL_AMOUNT_ABOVE_MAXIMUM
                      - WITHDRAWAL_ASSET_NOT_SUPPORTED
                      - WITHDRAWAL_PROVIDER_ERROR
                      - WITHDRAWAL_2FA_REQUIRED_TOTP
                      - WITHDRAWAL_2FA_REQUIRED_SMS
                      - WITHDRAWAL_2FA_REQUIRED_FACE_RECOGNITION
                      - WITHDRAWAL_2FA_REQUIRED_EMAIL
                      - WITHDRAWAL_2FA_REQUIRED_YUBIKEY
                      - WITHDRAWAL_2FA_REQUIRED_PASSPHRASE
                      - WITHDRAWAL_2FA_REQUIRED_MULTI_STEPS
                      - WITHDRAWAL_2FA_INCOMPLETE
                      - WITHDRAWAL_2FA_INVALID
                      - WITHDRAWAL_2FA_METHOD_NOT_SUPPORTED
                      - WITHDRAWAL_KYC_REQUIRED
                      - WITHDRAWAL_EMAIL_UNVERIFIED
                      - WITHDRAWAL_RATE_LIMIT_EXCEEDED
                      - OAUTH_AUTHORIZATION_FAILED
                      - OAUTH_TOKEN_EXCHANGE_FAILED
                      - OAUTH_INVALID_STATE
                      - OAUTH_INSUFFICIENT_SCOPE
                      - OAUTH_QR_CODE_UNAVAILABLE
                      - OAUTH_COUNTRY_NOT_DETECTED
                      - OAUTH_COUNTRY_NOT_SUPPORTED
                      - OAUTH_COUNTRY_CODE_INVALID
                      - WEBHOOK_SIGNATURE_INVALID
                      - WEBHOOK_MISSING_HEADERS
                      - WEBHOOK_INVALID_TIMESTAMP
                      - CACHE_MISS
                      - CACHE_EXPIRED
                      - CACHE_INVALID_PATH
                      - DEPOSIT_NOT_IMPLEMENTED
                      - DEPOSIT_ASSET_REQUIRED
                      - DEPOSIT_NETWORK_REQUIRED
                      - DEPOSIT_METHODS_UNAVAILABLE
                      - DEPOSIT_ADDRESS_UNAVAILABLE
                      - DEPOSIT_EXCHANGE_NOT_SUPPORTED
                      - DEPOSIT_METHOD_NOT_RESOLVED
                      - WITHDRAWAL_DRY_RUN_COMPLETE
                      - TRADING_DATA_UNAVAILABLE
                      - TRADING_EXCHANGE_NOT_SUPPORTED
                      - TRADING_ROUTE_NOT_FOUND
                      - TRADING_ROUTE_UNAVAILABLE
                      - TRADING_ORDER_TYPE_NOT_SUPPORTED
                      - TRADING_ORDER_NOT_FOUND
                      - TRADING_PROVIDER_ERROR
                      - INFO_ASSET_REQUIRED
                      - INFO_FEE_EXCHANGE_NOT_SUPPORTED
                      - ENRICHMENT_NETWORK_NOT_SUPPORTED
                      - ENRICHMENT_TIMEOUT
                      - ENRICHMENT_API_ERROR
                  result:
                    anyOf:
                      - type: object
                        properties:
                          bizNo:
                            type: string
                          steps:
                            type: array
                            items:
                              type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - GOOGLE
                                    - EMAIL
                                    - FACE
                                    - SMS
                                    - ROAMING_FIDO
                                status:
                                  type: string
                                  enum:
                                    - pending
                                    - success
                                    - failed
                                required:
                                  type: boolean
                                metadata:
                                  type: object
                                  properties:
                                    email:
                                      type: string
                                    emailSent:
                                      type: boolean
                                    qrCodeUrl:
                                      type: string
                                    qrCodeValidSeconds:
                                      type: number
                                    roamingFlowId:
                                      type: string
                                  additionalProperties: true
                              required:
                                - type
                                - status
                                - required
                              additionalProperties: true
                          relation:
                            type: string
                            enum:
                              - AND
                              - OR
                          mfa:
                            type: object
                            properties:
                              bizNo:
                                type: string
                              verified:
                                type: object
                                properties:
                                  EMAIL:
                                    type: boolean
                                  SMS:
                                    type: boolean
                                  GOOGLE:
                                    type: boolean
                                  FACE:
                                    type: boolean
                                  ROAMING_FIDO:
                                    type: boolean
                              attempts:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    method:
                                      type: string
                                      enum:
                                        - EMAIL
                                        - SMS
                                        - GOOGLE
                                        - FACE
                                        - ROAMING_FIDO
                                    status:
                                      type: string
                                      enum:
                                        - pending
                                        - success
                                        - failed
                                    createdAt:
                                      type: number
                                    validatedAt:
                                      type: number
                                    expiresAt:
                                      type: number
                                    success:
                                      type: boolean
                                  required:
                                    - method
                                    - status
                                    - createdAt
                                    - success
                              methods:
                                type: array
                                items:
                                  oneOf:
                                    - type: object
                                      properties:
                                        method:
                                          type: string
                                          const: EMAIL
                                        email:
                                          type: string
                                      required:
                                        - method
                                        - email
                                    - type: object
                                      properties:
                                        method:
                                          type: string
                                          const: SMS
                                        phoneNumber:
                                          type: string
                                      required:
                                        - method
                                        - phoneNumber
                                    - type: object
                                      properties:
                                        method:
                                          type: string
                                          const: GOOGLE
                                      required:
                                        - method
                                    - type: object
                                      properties:
                                        method:
                                          type: string
                                          const: FACE
                                        viaMobile:
                                          type: boolean
                                      required:
                                        - method
                                        - viaMobile
                                    - type: object
                                      properties:
                                        method:
                                          type: string
                                          const: ROAMING_FIDO
                                      required:
                                        - method
                            required:
                              - verified
                        required:
                          - bizNo
                          - steps
                          - relation
                        additionalProperties: true
                      - type: object
                        properties:
                          bizNo:
                            type: string
                          steps:
                            type: array
                            items:
                              type: object
                              properties:
                                type:
                                  type: string
                                status:
                                  type: string
                                  enum:
                                    - success
                                    - failed
                                    - pending
                                error:
                                  type: string
                              required:
                                - type
                                - status
                              additionalProperties: true
                          mfa:
                            type: object
                            properties:
                              bizNo:
                                type: string
                              verified:
                                type: object
                                properties:
                                  EMAIL:
                                    type: boolean
                                  SMS:
                                    type: boolean
                                  GOOGLE:
                                    type: boolean
                                  FACE:
                                    type: boolean
                                  ROAMING_FIDO:
                                    type: boolean
                              attempts:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    method:
                                      type: string
                                      enum:
                                        - EMAIL
                                        - SMS
                                        - GOOGLE
                                        - FACE
                                        - ROAMING_FIDO
                                    status:
                                      type: string
                                      enum:
                                        - pending
                                        - success
                                        - failed
                                    createdAt:
                                      type: number
                                    validatedAt:
                                      type: number
                                    expiresAt:
                                      type: number
                                    success:
                                      type: boolean
                                  required:
                                    - method
                                    - status
                                    - createdAt
                                    - success
                              methods:
                                type: array
                                items:
                                  oneOf:
                                    - type: object
                                      properties:
                                        method:
                                          type: string
                                          const: EMAIL
                                        email:
                                          type: string
                                      required:
                                        - method
                                        - email
                                    - type: object
                                      properties:
                                        method:
                                          type: string
                                          const: SMS
                                        phoneNumber:
                                          type: string
                                      required:
                                        - method
                                        - phoneNumber
                                    - type: object
                                      properties:
                                        method:
                                          type: string
                                          const: GOOGLE
                                      required:
                                        - method
                                    - type: object
                                      properties:
                                        method:
                                          type: string
                                          const: FACE
                                        viaMobile:
                                          type: boolean
                                      required:
                                        - method
                                        - viaMobile
                                    - type: object
                                      properties:
                                        method:
                                          type: string
                                          const: ROAMING_FIDO
                                      required:
                                        - method
                            required:
                              - verified
                        additionalProperties: true
                      - type: object
                        properties:
                          valid2FAMethods:
                            type: array
                            items:
                              type: string
                        required:
                          - valid2FAMethods
                        additionalProperties: true
                      - type: object
                        properties:
                          bizNo:
                            type: string
                          steps:
                            type: array
                            items:
                              type: object
                              properties:
                                type:
                                  type: string
                                status:
                                  type: string
                                  const: success
                              required:
                                - type
                                - status
                          accountId:
                            type: string
                          dryRun:
                            type: boolean
                            const: true
                          readyToTransact:
                            type: boolean
                            const: true
                          mfa:
                            type: object
                            properties:
                              bizNo:
                                type: string
                              verified:
                                type: object
                                properties:
                                  EMAIL:
                                    type: boolean
                                  SMS:
                                    type: boolean
                                  GOOGLE:
                                    type: boolean
                                  FACE:
                                    type: boolean
                                  ROAMING_FIDO:
                                    type: boolean
                              attempts:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    method:
                                      type: string
                                      enum:
                                        - EMAIL
                                        - SMS
                                        - GOOGLE
                                        - FACE
                                        - ROAMING_FIDO
                                    status:
                                      type: string
                                      enum:
                                        - pending
                                        - success
                                        - failed
                                    createdAt:
                                      type: number
                                    validatedAt:
                                      type: number
                                    expiresAt:
                                      type: number
                                    success:
                                      type: boolean
                                  required:
                                    - method
                                    - status
                                    - createdAt
                                    - success
                              methods:
                                type: array
                                items:
                                  oneOf:
                                    - type: object
                                      properties:
                                        method:
                                          type: string
                                          const: EMAIL
                                        email:
                                          type: string
                                      required:
                                        - method
                                        - email
                                    - type: object
                                      properties:
                                        method:
                                          type: string
                                          const: SMS
                                        phoneNumber:
                                          type: string
                                      required:
                                        - method
                                        - phoneNumber
                                    - type: object
                                      properties:
                                        method:
                                          type: string
                                          const: GOOGLE
                                      required:
                                        - method
                                    - type: object
                                      properties:
                                        method:
                                          type: string
                                          const: FACE
                                        viaMobile:
                                          type: boolean
                                      required:
                                        - method
                                        - viaMobile
                                    - type: object
                                      properties:
                                        method:
                                          type: string
                                          const: ROAMING_FIDO
                                      required:
                                        - method
                            required:
                              - verified
                        required:
                          - dryRun
                          - readyToTransact
                        additionalProperties: true
                      - type: object
                        additionalProperties: {}
                required:
                  - error
                  - type
              example:
                error: Quote not found
                type: QUOTE_NOT_FOUND
      security:
        - bluvoApiKey:
            - x-bluvo-api-key
          bluvoOrgId:
            - x-bluvo-org-id
          bluvoProjectId:
            - x-bluvo-project-id
          bluvoWalletId:
            - x-bluvo-wallet-id
components:
  securitySchemes:
    bluvoApiKey:
      type: apiKey
      name: x-bluvo-api-key
      in: header
      description: Bluvo API Key
    bluvoOrgId:
      type: apiKey
      name: x-bluvo-org-id
      in: header
      description: Bluvo Organization ID
    bluvoProjectId:
      type: apiKey
      name: x-bluvo-project-id
      in: header
      description: Bluvo Project ID
    bluvoWalletId:
      type: apiKey
      name: x-bluvo-wallet-id
      in: header
      description: Bluvo Wallet ID

````